> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volubile.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transcript of a call



## OpenAPI

````yaml GET /v1/calls/{id}/transcript
openapi: 3.0.1
info:
  title: Volubile API
  version: v1
servers:
  - url: https://api.eu.volubile.ai
    description: Generated server url
security: []
paths:
  /v1/calls/{id}/transcript:
    get:
      tags:
        - Call
      summary: Get transcript of a call
      operationId: getTranscript
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscriptResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: >
            Unauthorized access. The request has not been applied because it
            lacks valid authentication credentials.

            Possible reasons include that the API key is missing from the
            request headers, the provided API key is disabled,

            or the API key is associated with a customer account that is
            disabled.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Too Many Requests
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - Api key: []
        - Bearer token: []
components:
  schemas:
    TranscriptResponse:
      type: object
      properties:
        action:
          type: string
          description: Action type of the transcript
          enum:
            - RING
            - ANSWER
            - HUMAN_SPEAK
            - AGENT_SPEAK
            - ANSWERING_MACHINE_BEEP
            - HANG_UP
            - TRANSFER_CALL
        time:
          type: string
          description: |
            Timestamp of the transcript action.

            Format: UTC time - yyyy-MM-dd'T'HH:mm:ss'Z'
          format: date-time
          example: '2024-07-30T14:35:00Z'
        actor:
          type: string
          description: Actor of the transcript
          enum:
            - UNKNOWN
            - HUMAN
            - AGENT
            - ANSWERING_MACHINE
        message:
          type: string
          description: Message content of the transcript
          example: Hello, how can I help you?
    ErrorResponse:
      type: object
      properties:
        timestamp:
          type: string
          description: |
            Date and time when the error occurs.

            Format: UTC time - yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
          format: date-time
        status:
          type: integer
          description: Http status code
          format: int32
        message:
          type: string
          description: Information about the error
        errors:
          type: array
          description: List of specific validation errors
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      type: object
      properties:
        field:
          type: string
          description: Field in error
        rejectedValue:
          type: object
          description: Value in error
        message:
          type: string
          description: Description of the failed validation
      description: List of specific validation errors
  securitySchemes:
    Api key:
      type: apiKey
      description: Your API key.
      name: X-Api-Key
      in: header
    Bearer token:
      type: http
      description: Short lived Bearer token issued by /v1/auth/token.
      scheme: bearer
      bearerFormat: JWT

````